import { Response } from "express";

export function returnError(res: Response, content: any, status: number = 400) {
    res.status(status).send(content);
}

export function findFile(fieldName: string, fileList: Express.Multer.File[]): Express.Multer.File | null {

    // Go through all files
    for ( let file of fileList ) {
        // Check if the field name matches
        if ( file.fieldname == fieldName) {
            // Return the found file
            return file;
        }
    }

    return null;
}