import { Poppler } from "node-poppler";
import fs from "fs/promises";


export function convertFileToPNG(file: Express.Multer.File): Promise<Buffer> {

    return new Promise<Buffer>((_r, _e) => {

        console.log(file);
        // Read the file
        fs.readFile(file.path)
        .then( fileBuffer => {
            let p = new Poppler(`/usr/bin`);
            p.pdfToCairo(fileBuffer, undefined, {
                pngFile: true,
                singleFile: true,
            })
            .then( buff => {

                if ( buff instanceof Error ) {
                    return _e(buff);
                }

                _r(Buffer.from(buff));
            })
            .catch(err => {
                _e(err);
            })
        })
        .catch( err => {
            return _e(err);
        })

    })

}